package Sorting;

import java.io.File;
import java.io.IOException;
import java.io.FileWriter;
import java.lang.Math;

/**
 * This class will allow the user to make a file of random integers.
 * The user will be able to select a file name, how many numbers are in the file,
 * the minimum value generated, and the maximum value generated.
 */
public class RandomNumberFileMaker {
    
    private String filename;
    private int count;
    private int min;
    private int max;

    public RandomNumberFileMaker(String f, int c, int m, int M){
       filename=f;
       count=c;
       min=m;
       max=M;
    }

    public void writeFile(){
        try{
            File randomNumbers = new File(filename);
            if(randomNumbers.createNewFile()==false){
                System.out.println("File already exists.");
            }
            else{
                FileWriter randomWriter = new FileWriter(randomNumbers);
                for(int i=0;i<count;i++){
                 int rand = min + (int) (Math.random()*(max-min));
                 randomWriter.write(String.valueOf(rand));
                 randomWriter.write("\n");
            }
            randomWriter.close();
            }
        }catch (IOException ex){
            System.err.println(ex);
        }
    }

}